# Default values for next-gen-app.
replicaCount: 1

image:
  repository: frankchine/geocrop-nextgen
  pullPolicy: IfNotPresent
  tag: "e0ba21eb07dc79178b524e559985ed06d95938f6"

branchName: "main"

service:
  type: ClusterIP
  port: 80

ingress:
  enabled: true
  className: nginx
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
    nginx.ingress.kubernetes.io/force-ssl-redirect: "false"
  host: "next-gen.techarvest.co.zw" # Default host

resources:
  limits:
    cpu: 200m
    memory: 256Mi
  requests:
    cpu: 100m
    memory: 128Mi
